
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Python数据科学指南》——1.20　从表格数据使用数组 / iVAN</title>

    <meta name="description" content="《Python数据科学指南》——1.20　从表格数据使用数组 1.20 从表格数据使用数组 数据科学的应用程序要成功解决一个问题,必须先找到适当的处理数据的方法.例如在机器学习中对数据进行预测或分类,要么采用有监督的方法,要么采用无监督的方法.而在此之前,传输数据,把数据清洗到匹配算法,可能已经花费了很长的时间. 通常,有很多种方法对数据进行整理使之适合数据科学程序进行处理,数据科学程序开发者首先面对的挑战是如何访问数据,并用Python的数据结构让这些数据持续可用.掌握使用Python访问数据的诀窍是非常有用的,能让你避过纷扰,直接面对问题的核心内容.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《Python数据科学指南》——1.20　从表格数据使用数组</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>1.20　从表格数据使用数组</h3>
<p>数据科学的应用程序要成功解决一个问题，必须先找到适当的处理数据的方法。例如在机器学习中对数据进行预测或分类，要么采用有监督的方法，要么采用无监督的方法。而在此之前，传输数据，把数据清洗到匹配算法，可能已经花费了很长的时间。</p>
<p>通常，有很多种方法对数据进行整理使之适合数据科学程序进行处理，数据科学程序开发者首先面对的挑战是如何访问数据，并用Python的数据结构让这些数据持续可用。掌握使用Python访问数据的诀窍是非常有用的，能让你避过纷扰，直接面对问题的核心内容。</p>
<p>一般数据是以文本的形式存放的，用逗号或者tab作为分隔符。我们可以采用Python的内置文件对象工具来进行处理。如前所述，文件对象实现了_iter_()和next()方法，这让我们可以处理非常大的文件，这些文件无法一次全部装载到内存里，只能每次读取其中的一小部分。</p>
<p>Python的机器学习库（如scikit-learn）就是基于NumPy库，在这节中，我们将研究如何高效地读取外部数据，并将之转为NumPy的数组以便后续的数据处理。</p>
<h3>1.20.1　准备工作</h3>
<p>NumPy提供了一个genfromtxt函数可以从表格数据中创建数组，数据存放到NumPy数组中以后，系统处理数据就轻松得多。我们通过一个NumPy 1.8.0编写的代码来看看如何使用genfrom text。</p>
<h3>1.20.2　操作方法</h3>
<p>我们先从导入必需的库开始，先定义输入的例子，然后演示如何处理表格数据。</p>
<pre><code># 1.我们先用StringIO来模拟一个小型的表格数据
import numpy as np
from StringIO import StringIO
in_data = StringIO("10,20,30\n56,89,90\n33,46,89")

# 2.使用NumPy的genfromtxt来读取数据，并创建一个NumPy数组
data = np.genfromtxt(in_data,dtype=int,delimiter=",")

# 3.清除掉一些我们不需要的列
in_data = StringIO("10,20,30\n56,89,90\n33,46,89")
data = np.genfromtxt(in_data,dtype=int,delimiter=",",usecols=(0,1))

# 4.设定列名
in_data = StringIO("10,20,30\n56,89,90\n33,46,89")
data = np.genfromtxt(in_data,dtype=int,delimiter=",",names="a,b,c")

# 5.使用列名来处理数据
in_data = StringIO("a,b,c\n10,20,30\n56,89,90\n33,46,89")
data = np.genfromtxt(in_data,dtype=int,delimiter=",",names=True)
</code></pre>
<h3>1.20.3　工作原理</h3>
<p>第1步中，我们用StringIO来模拟表格数据，有3个行和3个列，行通过换行表示，列则通过逗号分隔。</p>
<p>第2步中，我们用NumPy的genfromtxt导入数据到NumPy数组。genfromtxt的第一个参数是文件源和文件名，本例中是StringIO对象。输入由逗号分隔，分隔符参数允许我们自己定义分隔符。运行上面的代码后，数据格式如下。</p>
<pre><code>&gt;&gt;&gt; data
array([[10, 20, 30],
        [56, 89, 90],
        [33, 46, 89]])
</code></pre>
<p>如你所见，我们成功地将字符串数据加载到了NumPy数组中。</p>
<h3>1.20.4　更多内容</h3>
<p>下面列出了genfromtxt函数的各个参数以及默认值。</p>
<pre><code>genfromtxt(fname, dtype=&lt;type 'float'&gt;, comments='#', delimiter=None,
skiprows=0, skip_header=0, skip_footer=0, converters=None,
missing='', missing_values=None, filling_values=None, usecols=None,
names=None, excludelist=None, deletechars=None, replace_space='_',
autostrip=False, case_sensitive=True, defaultfmt='f%i', unpack=None,
usemask=False, loose=True, invalid_raise=True)
</code></pre>
<p>唯一必备的参数是数据源的名字，本例中是一个StringIO对象，它可以是一个文件名或者带有read方法的类似于文件的对象，也可以是一个远程文件的URL。</p>
<p>首先必须将给定的行分成列，当文件被打开进行读取时，genfromtxt将非空行切分成一个字符串序列。空行和注释行会被忽略，注释选项帮助gentext判断哪些行是注释行。我们指定的分隔符将字符串切分为列。我们的示例使用“,”作为分隔符。制表符“/t”也是一种常用的分隔符。gentext的默认分隔符是None，这意味着行被空格分成多个列。</p>
<p>一般而言，行被转换成字符串序列之后，列被萃取出来，每个独立的列并没有被清除前导或者后导的空格。在上面示例代码的后面部分，这种情况需要进行处理，特别是有些变量要被作为字典的键。例如，若是前导或后导的空格没有被处理完全，代码可能会出现bug或错误。设置参数autostrip=True有助于避免这类问题。</p>
<p>很多情况下，我们在读取文件的时候要跳过一些数据，比如跳过最前n行或者最后n行，这就需要使用headers和footers参数。设置skip_header=n会在读文件时跳过最开始的n行。类似地，设置skip_footer=n则跳过最后的n行。</p>
<p>和不需要的行类似，有时我们需要跳过一些列，usecols参数可以指定一个包含所需要的列的列表。</p>
<pre><code>in_data = StringIO("10,20,30\n56,89,90\n33,46,89")
data = np.genfromtxt(in_data,dtype=int,delimiter=",",usecols=(0,1))
</code></pre>
<p>在上面的示例中，我们只选择了两个列，第0和第1列。数据对象形式如下。</p>
<pre><code>&gt;&gt;&gt; data
array([[10, 20],
        [56, 89],
        [33, 46]])
</code></pre>
<p>使用names参数，我们可以自定义列名，由逗号分隔的列名字符串参数形式如下。</p>
<pre><code>in_data = StringIO("10,20,30\n56,89,90\n33,46,89")
data = np.genfromtxt(in_data,dtype=int,delimiter=",",names="a,b,c")
&gt;&gt;&gt; data
array([(10, 20, 30), (56, 89, 90), (33, 46, 89)],
       dtype=[('a', '&lt;i4'), ('b', '&lt;i4'), ('c', '&lt;i4')])
</code></pre>
<p>设定names参数为真，输入文件的第1行会被当成列名。</p>
<pre><code>in_data = StringIO("a,b,c\n10,20,30\n56,89,90\n33,46,89")
data = np.genfromtxt(in_data,dtype=int,delimiter=",",names=True)

&gt;&gt;&gt; data
array([(10, 20, 30), (56, 89, 90), (33, 46, 89)],
       dtype=[('a', '&lt;i4'), ('b', '&lt;i4'), ('c', '&lt;i4')])
</code></pre>
<p>NumPy里还有个叫作loadtxt的方法可以方便地从文本文件中创建NumPy数组，请参阅：<a href="http://docs.scipy.org/doc/numpy/reference/generated/numpy.loadtxt.html%E3%80%82" rel="external nofollow noreferrer">http://docs.scipy.org/doc/numpy/reference/generated/numpy.loadtxt.html。</a></p>
<p>这个函数比genfromtxt要简单一些，如果你不需要复杂的数据处理架构，比如处理丢失的数据等情况，你可以选用loadtxt。</p>
<p>此外，如果你不需要装载数据到NumPy数组，只想把数据加载到列表中，Python默认提供了csv库，可以参考下面的URL。</p>
<p><code>https://docs.python.org/2/library/csv.html.</code></p>
<p>上面这个csv库里有一个有趣的方法叫作csv.Sniffer.sniff()。要处理一个很大的csv文件时，我们要理解它的结构，就可以使用sniff()函数，它返回一个具有csv文件大部分属性的子类。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 06:19:05</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/%e5%ba%8f%e5%88%97/" title="序列">序列</a>, <a href="https://www.iamivan.net/tag/%e7%a9%ba%e6%a0%bc/" title="空格">空格</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《Python数据科学指南》——1.20　从表格数据使用数组的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b24Earp.html" rel="bookmark">《Python数据科学指南》&mdash;&mdash;导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前 言 如今,我们生活在一个万物互联的世界,每天都在产生海量数据,不可能依靠人力去分析产生的所有数据并做出决策.人类的决策越来越多地被计算机辅助决策所取代,这也得益于数据科学的发展.数据科学已经深入到我们互联世界中的每个角落,市场对那些十分了解数据科学算法并且有能力用这些算法进行编程的人才需求是不断增长的.数据科学是多领域交叉的,简单列举几个:数据挖掘.机器学习.统计学等.这对那些渴望成为数据科学家以及已经从事这一领域的人们在各方面都倍感压力.把算法当成黑盒子应用到决策系统里,可能会适得其反.面			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKNDoz.html" rel="bookmark">《Python数据科学指南》&mdash;&mdash;第1章 Python在数据科学中的应用  1&period;1 简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 Python在数据科学中的应用 在这一章里,我们将探讨以下主题. 使用字典对象 使用字典的字典 使用元组 使用集合 写一个列表 从另一个列表创建列表--列表推导 使用迭代器 生成一个迭代器和生成器 使用可迭代对象 将函数作为变量传递 在函数中嵌入函数 将函数作为参数传递 返回一个函数 使用装饰器改变函数行为 使用lambda创造匿名函数 使用映射函数 使用过滤器 使用zip和izip函数 从表格数据使用数组 对列进行预处理 列表排序 采用键排序 使用itertools 1.1 简介 Py			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyeBx4M.html" rel="bookmark">《Python数据科学指南》&mdash;&mdash;1&period;2　使用字典对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 使用字典对象 在Python语言中,容器是一种对象,它能够容纳任意数量.任意类型的对象.它可以对子对象进行操作,还可以迭代操作.字典.元组.列表还有集合都是容器对象.在collections模块中,Python提供了更多的容器类型.在这一节中,我们先来仔细了解字典. 1.2.1 准备工作 我们先通过一个Python的脚本示例来理解字典是如何操作的,这段脚本用来统计词频,也就是每个词在给定的文本中出现的次数. 1.2.2 操作方法 下面的示例演示了在Python中对字典对象如何操作.通过对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bod1v6M.html" rel="bookmark">《Python数据科学指南》&mdash;&mdash;1&period;4　使用元组</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 使用元组 在Python中,元组是一种顺序型的容器对象.元组是不可变的,元组中的元素由逗号分隔开,可以对不同类别构成的对象进行排序,不允许插入操作,支持以下操作. in和not in. 比较.串联.切片和索引.min ()和max (). 1.4.1 准备工作 我们讲解字典的时候,描述了完整的功能,对于元组,我们通过一些小段的代码来聚焦于元组的创建与维护操作. 1.4.2 操作方法 先让我们看看一些元组创建和维护的示例代码. # 1.创建一个元组 a_tuple = (1,2,'a')			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlrvAp.html" rel="bookmark">《Python数据科学指南》&mdash;&mdash;1&period;3　使用字典的字典</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 使用字典的字典 我们之前提到,为了完成目标,你得创造性地应用各类数据结构,这样才能发挥它们的威力.接下来,我们通过一个实例来帮助理解&quot;字典的字典&quot;. 1.3.1 准备工作 请看表1-1. 第1列中列出了3个用户,其他列都是电影,单元格里是每个用户给电影的评分.我们要把这些数据放到内存中,这样大型程序的其他部分也能方便地访问,此时我们将使用&quot;字典的字典&quot;. 1.3.2 操作方法 我们通过匿名函数来创建一个user_movie_rating的字典对象,以此展示&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjZerM.html" rel="bookmark">《Python数据科学指南》&mdash;&mdash;1&period;8　使用迭代器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.8 使用迭代器 毫无疑问,对于数据科学的程序而言,数据是极其重要的输入.数据的大小是可变的,有些能装载到内存中,有些则不能.而记录访问架构也是随一种数据格式到另一种而变化.有趣的是,不同的算法处理数据时,需要的是可变长度的组块.例如,假如你在写一个随机梯度下降的算法,你希望在每个时间片传送5000条记录的数据块,如果你对如何访问数据.理解数据格式.依次传送数据.给调用者需要的数据等流程有着清晰的概念,那你才能成功.这样能让你写出清晰的代码.大多数时候,最有趣的部分是我们如何处理数据,而不是我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx0ZG0M.html" rel="bookmark">《Python数据科学指南》&mdash;&mdash;1&period;10　使用可迭代对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.10 使用可迭代对象 可迭代对象和生成器十分相似,但是有一个重要的区别:我们可以重复地访问一个可迭代对象,即使我们已经访问完了序列中的所有元素,我们还可以从头重新访问它,这和生成器是完全不同的. 如果不保持任何状态,它们就是基于对象的生成器.所有带有iter方法的类,在用来产生数据时,都可以被作为无状态对象生成器来使用. 1.10.1 准备工作 我们通过一个简单的示例来理解可迭代对象.如果理解了之前介绍的生成器和迭代器,你也能很容易地理解这个概念. 1.10.2 操作方法 我们来创建一个简单			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVQ24mp.html" rel="bookmark">《Python数据科学指南》&mdash;&mdash;1&period;19　使用zip和izip函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.19 使用zip和izip函数 zip函数将两个相同长度的集合合并成对,它是Python的内置函数. 1.19.1 准备工作 我们通过一个简单示例来演示zip函数. 1.19.2 操作方法 我们传递两个序列给zip函数,并打印输出. print zip(range(1,5),range(1,5)) 1.19.3 工作原理 本例中zip函数的两个参数是两个列表,这两个列表都是由从1到5的数值组成.range函数有3个参数:起始数值.结束数值和步长,默认步长为1.本例中,我们分别把1和5作为列表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RkNqz.html" rel="bookmark">《Python机器学习实践指南》&mdash;&mdash;1&period;1　数据科学&sol;机器学习的工作流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.1 数据科学/机器学习的工作流程 打造机器学习的应用程序,与标准的工程范例在许多方面都是类似的,不过有一个非常重要的方法有所不同:需要将数据作为原材料来处理.数据项目成功与否,很大程度上依赖于你所获数据的质量,以及它是如何被处理的.由于数据的使用属于数据科学的领域,理解数据科学的工作流程对于我们也有所帮助:整个过程要按照图1-1中的顺序,完成六个步骤:获取,检查和探索,清理和准备,建模,评估和最后的部署. 在这个过程中,还经常需要绕回到之前的步骤,例如检查和准备数据,或者是评估和建模,但图1			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYX39b.html" rel="bookmark" class="title">今天的你，配不上昨天的梦想</a>
					<div>
						今天的你,配不上昨天的梦想 那年的你坐在高三的教室里自习到学校锁门.你咬着牙对自己说,一定要以最骄傲的姿态离开.看看今天狼狈不堪的模样,有什么可以骄傲. 那年的你对自己说,不论我今天有多么彷徨迷茫,有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdyZNz.html" rel="bookmark" class="title">Flash AtionScrip 3&period;0制作逼真的雪花飘飘的gif动画效果</a>
					<div>
						  本例为用Flash AtionScrip 3.0制作逼真的雪花飘飘的gif动画效果教程,常常从网上的动画中看到大雪纷飞的场面,看到雪花从天空中拖曳而下,真有一种身临其境的感觉呢?但主要是用Atio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZK6wb.html" rel="bookmark" class="title">IE和FF下的srcElement获取</a>
					<div>
						IE中的event和FF中的event就不一样,获取方式也不一样,比如IE中event是全局window对象的属性,而FF中却没有.有很多时候我们要获取触发事件的源对象(在IE中是srcElement ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b39W7p.html" rel="bookmark" class="title">Photoshop自定义水晶字特效样式</a>
					<div>
						在网上看到不少用Photoshop制作水晶字的教程,效果都很棒,只是制作过程繁琐,而且文字内容不易修改.于是自己尝试做了一个效果,步骤非常简单,只用了两个效果,一个是[斜面和浮雕],一个是[描边],这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxO8Pb.html" rel="bookmark" class="title">如何防范arp欺骗及入侵</a>
					<div>
						arp       最近不少朋友及客户的服务器遇到arp欺骗攻击,造成站点被挂木马.由于是采用ARP技术欺骗,所以主机并没入侵,在服务器里查看网页源码也是没任何挂马代码,但是网站在访问时候却全部被挂马 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgrrEb.html" rel="bookmark" class="title">电子商务之团购&colon;今天你团了吗？</a>
					<div>
						早就不是十多年前那种用FrontPage画个html页面就能赚钱的互联网时代了. 2010年的中国互联网,看上去充满了大佬,网上能够开展的行行当当,早就被这些大佬们划界圈地,各管一摊儿了.可就就是如此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PPdJM.html" rel="bookmark" class="title">Ajax高级程序设计：提交节流</a>
					<div>
						预先获取是一种从服务器获取数据的模式;Ajax解决方案的另一方面是向服务器发送数据.由于想避 免页面刷新,这对于发送用户数据时显得更为重要.在传统的网站或Web应用程序中,每次点击都会向服 务器发送一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEVnJb.html" rel="bookmark" class="title">Oracle的统计信息简介</a>
					<div>
						1.什么是统计信息 统计信息主要是描述数据库中表,索引的大小,规模,数据分布状况等的一类信息.比如,表的行数,块数,平均每行的大小,索引的leaf blocks,索引字段的行数,不同值的大小等,都属于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwldKEb.html" rel="bookmark" class="title">win8&period;1系统更改屏幕分辨率的两种方法</a>
					<div>
						win8.1系统更改屏幕分辨率的两种方法          方法一: 1.在桌面上右键单击,选择屏幕分辨率即可. 方法二: 1.使用鼠标,移动到屏幕右上角,选择&quot;设置&quot;; 2.点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKkDNp.html" rel="bookmark" class="title">电脑中资源管理器在哪里打开</a>
					<div>
						  电脑中资源管理器在哪里打开        首先了解下什么是&quot;资源管理器&quot;? &quot;资源管理器&quot;是Windows 系统提供的资源管理工具,我们可以用它查看本台电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBRrDz.html" rel="bookmark" class="title">WPS文字中页码设置</a>
					<div>
						  Word中可以完成的工作WPS中同样可以完成,就拿设置页码来说吧!我们经常在制作书籍和毕业论文的时候都需要给文档的下方加上页码,这样以后我们阅读起来就可以清楚的知道我们在哪个位置了.WPS中是如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZE9Zb.html" rel="bookmark" class="title">word打字时后面的字会消失是什么原因&quest;</a>
					<div>
						  1.Insert-覆盖模式 当你误按了insert键,此时Word默认为覆盖模式,输入文本会覆盖后面的内容,如图,百度经验覆盖了打字后面. 2.Insert-插入模式 再次按下insert键,进入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ojQ0b.html" rel="bookmark" class="title">联想Win10笔记本小新Air Pro怎么样</a>
					<div>
						  联想就推出了新款定位相同的Win10笔记本,看起来意味深长.这款笔记本为联想小新Air Pro,也就是联想今年3月推出的小新Air便携Win10笔记本高配版.目前已在京东预约. 联想小新Air P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG3o6p.html" rel="bookmark" class="title">U盘容量变小了怎么恢复</a>
					<div>
						  U盘容量变小了怎么恢复解决办法 [使用工具]HP优盘格式化工具HPUSBFW+2.20 [注意]要使用管理员身份运行 ok,问题解决!容量恢复!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGo0dp.html" rel="bookmark" class="title">html页面头部与尾部继承</a>
					<div>
						问题描述 html页面头部与尾部继承 现在正在想些网站,但是公共头部与公共尾部如何继承?一时想不起来了?是哪个函数? 解决方案 解决方案二: include 你的头部或尾部文件 解决方案三: 一般提取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7wEgb.html" rel="bookmark" class="title">AJAX 实时读取输入文本&lpar;php&rpar;&lowbar;AJAX相关</a>
					<div>
						客户端代码: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjQQ5p.html" rel="bookmark" class="title">iOS开发那些事-性能优化&ndash;查找和解决僵尸对象</a>
					<div>
						内存泄漏是当一个对象或变量在使用完成后没有释放掉,那么如果我们走了另外一个极端情况会什么样呢?这就导致过渡释放(over release)问题,从而使对象&quot;僵尸化&quot;,对象称为僵尸( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEA4Az.html" rel="bookmark" class="title">Java 虚拟机 OpenJ9 和 Hotspot 的 Benchmark 测试</a>
					<div>
						IBM 开源了它开发的 J9 Java 虚拟机 (JVM),并将其贡献给了 Eclipse 基金会,重命名为 Eclipse OpenJ9.J9 是一个高性能可伸缩的 Java 虚拟机,是许多 IBM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lQZKb.html" rel="bookmark" class="title">runtime基础知识</a>
					<div>
						原文出自:标哥的技术博客 前言 学习Objective-C的运行时Runtime系统是很有必要的.个人觉得,得之可得天下,失之则失天下. Objective-C提供了编译运行时,只要有可能,它都可以动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmqL9b.html" rel="bookmark" class="title">国内首款行人导航地图产品出炉</a>
					<div>
						7月2日下午中国导航电子地图和动态交通信息服务提供商四维图新在北京五洲皇冠假日酒店召开09夏版地图数据推介会,发布四维图新09夏版地图数据.新版地图新增了公交换乘.地下通道.过街天桥.人行横道及更多行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK4wDb.html" rel="bookmark" class="title">苹果启动第三方充电器回购项目：68元购官方产品</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 苹果启动第三方充电器回购项目(TechWeb配图) [TechWeb报道]8月6日消息,据国外媒体报道,苹果官网支持社区日前上线一则通知,该通知显示,苹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RE0nz.html" rel="bookmark" class="title">寻找下一个新东方：3000亿元教育产业挖金图</a>
					<div>
						教育培训&quot;不差钱&quot;.未来5至10年,中国的教育培训产业将达到3000亿人民币的规模.新东方仅仅在语言培训细分领域里占20%的市场份额. 新东方意味着什么?强势品牌,王者地位,20多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR4mkp.html" rel="bookmark" class="title">又遇新问题&colon;怎么不自动读取文章了&quest;</a>
					<div>
						问题描述 刚才突然发现,我的显示页,只显示第一条记录.昨天做了一个页,显示正常,今天也是按昨天的方法做,不知道怎么就不行了.总是显示第一篇文章,但数据库里面又增加了新的内容. 解决方案 解决方案二:把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKWLoz.html" rel="bookmark" class="title">Dreamweaver 限制访问的BUG</a>
					<div>
						    一.步骤叙述:     1.数据库文件mysite.mdb,其中两个表:admininfo(表示管理员的记录表)和memberinfo(普通用户的记录表)     2.普通用户登陆页 logi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0Rqyp.html" rel="bookmark" class="title">服务器-client&period;getstream（），报错不允许对非链接的套接字执行此操作</a>
					<div>
						问题描述 client.getstream(),报错不允许对非链接的套接字执行此操作 这是用的函数,我没有开服务器端,只打开了客户端,点击按钮请求链接,因为没有开服务器,就会抛出异常,出现窗口&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjyn0M.html" rel="bookmark" class="title">以高效节能为使命 绿色数据中心势在必行</a>
					<div>
						随着云计算的发展,数据中心的建设呈现向大型化发展的趋势,数据中心的数量也在迅猛增加,仅在我国数据中心的总量就已经超过了40万个.而数据中心的电力消耗相当惊人,比如对一个建设规模为2000个机架的数据中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlYXlp.html" rel="bookmark" class="title">华为研发5G技术预计最早2020年投入市场</a>
					<div>
						硅谷网讯 据国外媒体6月115.html&quot;&gt;26日报道,目前华为正在为5G无线通信开发尖端技术.同时,华为还积极参与并推动业界 生态系统内的广泛合作.5G 无线技术预计将在http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq4Ddp.html" rel="bookmark" class="title">iis 创建应用程序池的方法与分析第1&sol;3页&lowbar;win服务器</a>
					<div>
						当 IIS 6.0 在工作进程隔离模式下运行时,可将 Web 应用程序组合到应用程序池中.应用程序池允许将特定配置设置应用于多个应用程序组,并允许工作进程为这些应用程序提供服务.可向应用程序池指定任何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5K1kz.html" rel="bookmark" class="title">Python中实现常量（Const）功能&lowbar;python</a>
					<div>
						python语言本身没有提供const,但实际开发中经常会遇到需要使用const的情形,由于语言本身没有这种支出,因此需要使用一些技巧来实现这一功能 定义const类如下 复制代码 代码如下: imp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlgmvp.html" rel="bookmark" class="title">android中实现完全退出程序方法（退出所有activity）&lowbar;Android</a>
					<div>
						这是一个很多很多人都 会遇到的问题,我也试过了很多方法,都不怎么好用. 比如: 复制代码 代码如下: System.exit(0); 不行. 还有什么跳转到第一个activity,同时把栈顶的acti ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
